Subject: Re: linux-next: manual merge of the arm64 tree with the origin tree

From: Will Deacon <[email-masked]>
Date: Mon, 26 Jan 2026 15:23:32 +0000

On Mon, Jan 26, 2026 at 03:11:27PM +0000, Mark Brown wrote:
> Hi all,
> 
> Today's linux-next merge of the arm64 tree got a conflict in:
> 
>   arch/arm64/kvm/hyp/entry.S
> 
> between commit:
> 
>   86364832ba6f2 ("KVM: arm64: Don't blindly set set PSTATE.PAN on guest exit")
> 
> from the origin tree and commit:
> 
>   018a231b0260e ("arm64: Unconditionally enable PAN support")
> 
> from the arm64 tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> [Took the version from Linus' tree.]

Hmm, I suspect that's not quite right because CONFIG_ARM64_PAN doesn't
exist anymore in the arm64 tree and so the hunk in
arch/arm64/kvm/va_layout.c probably needs tweaking.

Marc -- how would you prefer to handle this? I could bring back
CONFIG_ARM64_PAN as a hidden Kconfig option =y and then we could clean
up the stragglers at -rc1?

Will